Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 15 Sep 2021 01:54:14 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I am very disappointed in your refund process. I have waited more than two months for my refund and contacted you more than five times to ask and you keep telling me that the refund is being processed! and the last time I have been told that the refund is at the bank and that I should check with my bank. however after checking with my bank, I found out that the refund has not been received and I called you and you said that there has been a technical problem and the refund has not been processed yet two months later! I demand a compensation over the refund because I am one of your loyal customers and this occurrence has really disappointed me.  You have not reached out and haven’t even updated me I had to call several times.  Really bad customer service!

I expect a call or email soon https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3098002